Loading...
Searching...
No Matches
Magick::Options Class Reference

## Public Member Functions

| Options (const Options &options_)
void | adjoin (const bool flag_)
bool | adjoin (void) const
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | backgroundColor (const Color &color_)
Color | backgroundColor (void) const
void | backgroundTexture (const std::string &backgroundTexture_)
std::string | backgroundTexture (void) const
void | borderColor (const Color &color_)
Color | borderColor (void) const
void | boxColor (const Color &boxColor_)
Color | boxColor (void) const
void | colorFuzz (const double fuzz_)
double | colorFuzz (void) const
void | colorspaceType (const ColorspaceType colorspace_)
ColorspaceType | colorspaceType (void) const
void | compressType (const CompressionType compressType_)
CompressionType | compressType (void) const
void | debug (const bool flag_)
bool | debug (void) const
void | density (const Point &density_)
Point | density (void) const
void | depth (const size_t depth_)
size_t | depth (void) const
void | endian (const EndianType endian_)
EndianType | endian (void) const
void | file (FILE *file_)
FILE * | file (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fillColor_)
Color | fillColor (void) const
void | fillPattern (const MagickCore::Image *fillPattern_)
const MagickCore::Image * | fillPattern (void) const
void | fillRule (const FillRule &fillRule_)
FillRule | fillRule (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | fontFamily (const std::string &family_)
std::string | fontFamily (void) const
void | fontPointsize (const double pointSize_)
double | fontPointsize (void) const
void | fontStyle (const StyleType style_)
StyleType | fontStyle (void) const
void | fontWeight (const size_t weight_)
size_t | fontWeight (void) const
std::string | format (void) const
void | interlaceType (const InterlaceType interlace_)
InterlaceType | interlaceType (void) const
void | magick (const std::string &magick_)
std::string | magick (void) const
void | monochrome (const bool monochromeFlag_)
bool | monochrome (void) const
void | page (const Geometry &pageSize_)
Geometry | page (void) const
void | quality (const size_t quality_)
size_t | quality (void) const
void | quantizeColors (const size_t colors_)
size_t | quantizeColors (void) const
void | quantizeColorSpace (const ColorspaceType colorSpace_)
ColorspaceType | quantizeColorSpace (void) const
void | quantizeDither (const bool ditherFlag_)
bool | quantizeDither (void) const
void | quantizeDither (const DitherMethod ditherMethod_)
void | quantizeDitherMethod (const DitherMethod ditherMethod_)
DitherMethod | quantizeDitherMethod (void) const
void | quantizeTreeDepth (const size_t treeDepth_)
size_t | quantizeTreeDepth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | resolutionUnits (const ResolutionType resolutionUnits_)
ResolutionType | resolutionUnits (void) const
void | samplingFactor (const std::string &samplingFactor_)
std::string | samplingFactor (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
void | strokeAntiAlias (const bool flag_)
bool | strokeAntiAlias (void) const
void | strokeColor (const Color &strokeColor_)
Color | strokeColor (void) const
void | strokeDashArray (const double *strokeDashArray_)
const double * | strokeDashArray (void) const
void | strokeDashOffset (const double strokeDashOffset_)
double | strokeDashOffset (void) const
void | strokeLineCap (const LineCap lineCap_)
LineCap | strokeLineCap (void) const
void | strokeLineJoin (const LineJoin lineJoin_)
LineJoin | strokeLineJoin (void) const
void | strokeMiterLimit (const size_t miterLimit_)
size_t | strokeMiterLimit (void) const
void | strokePattern (const MagickCore::Image *strokePattern_)
const MagickCore::Image * | strokePattern (void) const
void | strokeWidth (const double strokeWidth_)
double | strokeWidth (void) const
void | subImage (const size_t subImage_)
size_t | subImage (void) const
void | subRange (const size_t subRange_)
size_t | subRange (void) const
void | textAntiAlias (const bool flag_)
bool | textAntiAlias (void) const
void | textDirection (const DirectionType direction_)
DirectionType | textDirection () const
void | textEncoding (const std::string &encoding_)
std::string | textEncoding (void) const
void | textGravity (const GravityType gravity_)
GravityType | textGravity () const
void | textInterlineSpacing (const double spacing_)
double | textInterlineSpacing (void) const
void | textInterwordSpacing (const double spacing_)
double | textInterwordSpacing (void) const
void | textKerning (const double kerning_)
double | textKerning (void) const
void | textUnderColor (const Color &underColor_)
Color | textUnderColor (void) const
void | transformOrigin (const double tx_, const double ty_)
void | transformReset (void)
void | transformRotation (const double angle_)
void | transformScale (const double sx_, const double sy_)
void | transformSkewX (const double skewx_)
void | transformSkewY (const double skewy_)
void | type (const ImageType type_)
ImageType | type (void) const
void | verbose (const bool verboseFlag_)
bool | verbose (void) const
void | x11Display (const std::string &display_)
std::string | x11Display (void) const
MagickCore::DrawInfo * | drawInfo (void)
MagickCore::ImageInfo * | imageInfo (void)
MagickCore::QuantizeInfo * | quantizeInfo (void)
| Options (const MagickCore::ImageInfo *imageInfo_, const MagickCore::QuantizeInfo *quantizeInfo_, const MagickCore::DrawInfo *drawInfo_)

## Private Member Functions

Options & | operator= (const Options &)
void | setOption (const char *name, const Color &value_)
void | setOption (const char *name, const double value_)

## Private Attributes

MagickCore::ImageInfo * | _imageInfo
MagickCore::QuantizeInfo * | _quantizeInfo
MagickCore::DrawInfo * | _drawInfo
bool | _quiet

## Detailed Description

Definition at line 30 of file Options.h.

## Constructor & Destructor Documentation

## Options() [1/3]

Magick::Options::Options | ( | void |  | ) |

Definition at line 29 of file Options.cpp.

: _imageInfo(static_cast<ImageInfo*>(AcquireMagickMemory(
sizeof(ImageInfo)))),
_quantizeInfo(static_cast<QuantizeInfo*>(AcquireMagickMemory(
sizeof(QuantizeInfo)))),
_drawInfo(static_cast<DrawInfo*>(AcquireMagickMemory(sizeof(DrawInfo)))),
_quiet(false)
{
// Initialize image info with defaults
GetImageInfo(_imageInfo);
// Initialize quantization info
GetQuantizeInfo(_quantizeInfo);
// Initialize drawing info
GetDrawInfo(_imageInfo,_drawInfo);
}

## Options() [2/3]

Magick::Options::Options | ( | const Options & | options_ | ) |

Definition at line 47 of file Options.cpp.

: _imageInfo(CloneImageInfo(options_._imageInfo)),
_quantizeInfo(CloneQuantizeInfo(options_._quantizeInfo)),
_drawInfo(CloneDrawInfo(_imageInfo,options_._drawInfo)),
_quiet(options_._quiet)
{
}

## ~Options()

Magick::Options::~Options | ( |  | ) |

Definition at line 55 of file Options.cpp.

{
// Destroy image info
_imageInfo=DestroyImageInfo(_imageInfo);
// Destroy quantization info
_quantizeInfo=DestroyQuantizeInfo(_quantizeInfo);
// Destroy drawing info
_drawInfo=DestroyDrawInfo(_drawInfo);
}

## Options() [3/3]

Magick::Options::Options | ( | const MagickCore::ImageInfo * | imageInfo_,
|  | const MagickCore::QuantizeInfo * | quantizeInfo_,
|  | const MagickCore::DrawInfo * | drawInfo_ )

Definition at line 966 of file Options.cpp.

: _imageInfo((MagickCore::ImageInfo* ) NULL),
_quantizeInfo((MagickCore::QuantizeInfo* ) NULL),
_drawInfo((MagickCore::DrawInfo* ) NULL),
_quiet(false)
{
_imageInfo=CloneImageInfo(imageInfo_);
_quantizeInfo=CloneQuantizeInfo(quantizeInfo_);
_drawInfo=CloneDrawInfo(imageInfo_,drawInfo_);
}

## Member Function Documentation

## adjoin() [1/2]

void Magick::Options::adjoin | ( | const bool | flag_ | ) |

Definition at line 67 of file Options.cpp.

{
_imageInfo->adjoin=static_cast<MagickBooleanType>(
flag_ ? MagickTrue : MagickFalse);
}

## adjoin() [2/2]

bool Magick::Options::adjoin | ( | void |  | ) | const

Definition at line 73 of file Options.cpp.

{
return(static_cast<bool>(_imageInfo->adjoin));
}

## backgroundColor() [1/2]

void Magick::Options::backgroundColor | ( | const Color & | color_ | ) |

Definition at line 88 of file Options.cpp.

{
_imageInfo->background_color=color_;
}

## backgroundColor() [2/2]

Magick::Color Magick::Options::backgroundColor | ( | void |  | ) | const

Definition at line 93 of file Options.cpp.

{
return(Color(_imageInfo->background_color));
}

## backgroundTexture() [1/2]

void Magick::Options::backgroundTexture | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 98 of file Options.cpp.

{
if (backgroundTexture_.length() == 0)
_imageInfo->texture=(char *) RelinquishMagickMemory(_imageInfo->texture);
else
Magick::CloneString(&_imageInfo->texture,backgroundTexture_);
}

## backgroundTexture() [2/2]

std::string Magick::Options::backgroundTexture | ( | void |  | ) | const

Definition at line 106 of file Options.cpp.

{
if (_imageInfo->texture)
return(std::string(_imageInfo->texture));
else
return(std::string());
}

## borderColor() [1/2]

void Magick::Options::borderColor | ( | const Color & | color_ | ) |

Definition at line 114 of file Options.cpp.

{
_imageInfo->border_color=color_;
_drawInfo->border_color=color_;
}

## borderColor() [2/2]

Magick::Color Magick::Options::borderColor | ( | void |  | ) | const

Definition at line 120 of file Options.cpp.

{
return(Color(_imageInfo->border_color));
}

## boxColor() [1/2]

void Magick::Options::boxColor | ( | const Color & | boxColor_ | ) |

Definition at line 125 of file Options.cpp.

{
_drawInfo->undercolor=boxColor_;
}

## boxColor() [2/2]

Magick::Color Magick::Options::boxColor | ( | void |  | ) | const

Definition at line 130 of file Options.cpp.

{
return(Color(_drawInfo->undercolor));
}

## colorFuzz() [1/2]

void Magick::Options::colorFuzz | ( | const double | fuzz_ | ) |

Definition at line 155 of file Options.cpp.

{
_imageInfo->fuzz=fuzz_;
}

## colorFuzz() [2/2]

double Magick::Options::colorFuzz | ( | void |  | ) | const

Definition at line 160 of file Options.cpp.

{
return(_imageInfo->fuzz);
}

## colorspaceType() [1/2]

void Magick::Options::colorspaceType | ( | const ColorspaceType | colorspace_ | ) |

Definition at line 135 of file Options.cpp.

{
_imageInfo->colorspace=colorspace_;
}

## colorspaceType() [2/2]

Magick::ColorspaceType Magick::Options::colorspaceType | ( | void |  | ) | const

Definition at line 140 of file Options.cpp.

{
return(static_cast<Magick::ColorspaceType>(_imageInfo->colorspace));
}

## compressType() [1/2]

void Magick::Options::compressType | ( | const CompressionType | compressType_ | ) |

Definition at line 145 of file Options.cpp.

{
_imageInfo->compression=compressType_;
}

## compressType() [2/2]

Magick::CompressionType Magick::Options::compressType | ( | void |  | ) | const

Definition at line 150 of file Options.cpp.

{
return(static_cast<Magick::CompressionType>(_imageInfo->compression));
}

## debug() [1/2]

void Magick::Options::debug | ( | const bool | flag_ | ) |

Definition at line 165 of file Options.cpp.

{
if (flag_)
SetLogEventMask("All");
else
SetLogEventMask("None");
}

## debug() [2/2]

bool Magick::Options::debug | ( | void |  | ) | const

Definition at line 173 of file Options.cpp.

{
if (IsEventLogging())
return(true);
return(false);
}

## density() [1/2]

void Magick::Options::density | ( | const Point & | density_ | ) |

Definition at line 180 of file Options.cpp.

{
if (!density_.isValid())
_imageInfo->density=(char *) RelinquishMagickMemory(_imageInfo->density);
else
CloneString(&_imageInfo->density,density_);
}

## density() [2/2]

Magick::Point Magick::Options::density | ( | void |  | ) | const

Definition at line 188 of file Options.cpp.

{
if (_imageInfo->density)
return(Point(_imageInfo->density));
return(Point());
}

## depth() [1/2]

void Magick::Options::depth | ( | const size_t | depth_ | ) |

Definition at line 196 of file Options.cpp.

{
_imageInfo->depth=depth_;
}

## depth() [2/2]

size_t Magick::Options::depth | ( | void |  | ) | const

Definition at line 201 of file Options.cpp.

{
return(_imageInfo->depth);
}

## drawInfo()

MagickCore::DrawInfo * Magick::Options::drawInfo | ( | void |  | ) |

Definition at line 951 of file Options.cpp.

{
return(_drawInfo);
}

## endian()

Magick::EndianType Magick::Options::endian | ( | void |  | ) | const

Definition at line 211 of file Options.cpp.

{
return(_imageInfo->endian);
}

## file() [1/2]

void Magick::Options::file | ( | FILE * | file_ | ) |

Definition at line 216 of file Options.cpp.

{
SetImageInfoFile(_imageInfo,file_);
}

## file() [2/2]

FILE * Magick::Options::file | ( | void |  | ) | const

Definition at line 221 of file Options.cpp.

{
return(GetImageInfoFile(_imageInfo));
}

## fileName() [1/2]

void Magick::Options::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 226 of file Options.cpp.

{
ssize_t
max_length;
max_length=sizeof(_imageInfo->filename)-1;
fileName_.copy(_imageInfo->filename,(size_t) max_length);
if ((ssize_t) fileName_.length() > max_length)
_imageInfo->filename[max_length]=0;
else
_imageInfo->filename[fileName_.length()]=0;
}

## fileName() [2/2]

std::string Magick::Options::fileName | ( | void |  | ) | const

Definition at line 239 of file Options.cpp.

{
return(std::string(_imageInfo->filename));
}

## fillColor() [1/2]

void Magick::Options::fillColor | ( | const Color & | fillColor_ | ) |

Definition at line 244 of file Options.cpp.

{
_drawInfo->fill=fillColor_;
if (fillColor_ == Color())
fillPattern((const MagickCore::Image*) NULL);
setOption("fill",fillColor_);
}

## fillColor() [2/2]

Magick::Color Magick::Options::fillColor | ( | void |  | ) | const

Definition at line 252 of file Options.cpp.

{
return(_drawInfo->fill);
}

## fillPattern() [1/2]

void Magick::Options::fillPattern | ( | const MagickCore::Image * | fillPattern_ | ) |

Definition at line 257 of file Options.cpp.

{
if (_drawInfo->fill_pattern)
_drawInfo->fill_pattern=DestroyImageList(_drawInfo->fill_pattern);
if (fillPattern_)
{
GetPPException;
_drawInfo->fill_pattern=CloneImage(const_cast<MagickCore::Image*>(
fillPattern_),0,0,static_cast<MagickBooleanType>(MagickTrue),
exceptionInfo);
ThrowPPException(_quiet);
}
}

## fillPattern() [2/2]

const MagickCore::Image * Magick::Options::fillPattern | ( | void |  | ) | const

Definition at line 272 of file Options.cpp.

{
return(_drawInfo->fill_pattern);
}

## fillRule() [1/2]

void Magick::Options::fillRule | ( | const FillRule & | fillRule_ | ) |

Definition at line 277 of file Options.cpp.

{
_drawInfo->fill_rule=fillRule_;
}

## fillRule() [2/2]

Magick::FillRule Magick::Options::fillRule | ( | void |  | ) | const

Definition at line 282 of file Options.cpp.

{
return(_drawInfo->fill_rule);
}

## font() [1/2]

void Magick::Options::font | ( | const std::string & | font_ | ) |

Definition at line 287 of file Options.cpp.

{
if (font_.length() == 0)
{
_imageInfo->font=(char *) RelinquishMagickMemory(_imageInfo->font);
_drawInfo->font=(char *) RelinquishMagickMemory(_drawInfo->font);
}
else
{
Magick::CloneString(&_imageInfo->font,font_);
Magick::CloneString(&_drawInfo->font,font_);
}
}

## font() [2/2]

std::string Magick::Options::font | ( | void |  | ) | const

Definition at line 301 of file Options.cpp.

{
if (_imageInfo->font)
return(std::string(_imageInfo->font));
return(std::string());
}

## fontFamily() [1/2]

void Magick::Options::fontFamily | ( | const std::string & | family_ | ) |

Definition at line 309 of file Options.cpp.

{
if (family_.length() == 0)
{
_drawInfo->family=(char *) RelinquishMagickMemory(_drawInfo->family);
DestroyString(RemoveImageOption(imageInfo(),"family"));
}
else
{
Magick::CloneString(&_drawInfo->family,family_);
(void) SetImageOption(imageInfo(),"family",family_.c_str());
}
}

## fontFamily() [2/2]

std::string Magick::Options::fontFamily | ( | void |  | ) | const

Definition at line 323 of file Options.cpp.

{
if (_drawInfo->family)
return(std::string(_drawInfo->family));
return(std::string());
}

## fontPointsize() [1/2]

void Magick::Options::fontPointsize | ( | const double | pointSize_ | ) |

Definition at line 331 of file Options.cpp.

{
_imageInfo->pointsize=pointSize_;
_drawInfo->pointsize=pointSize_;
}

## fontPointsize() [2/2]

double Magick::Options::fontPointsize | ( | void |  | ) | const

Definition at line 337 of file Options.cpp.

{
return(_imageInfo->pointsize);
}

## fontStyle() [1/2]

void Magick::Options::fontStyle | ( | const StyleType | style_ | ) |

Definition at line 342 of file Options.cpp.

{
_drawInfo->style=style_;
(void) SetImageOption(_imageInfo,"style",CommandOptionToMnemonic(
MagickStyleOptions,(ssize_t) style_));
}

## fontStyle() [2/2]

Magick::StyleType Magick::Options::fontStyle | ( | void |  | ) | const

Definition at line 349 of file Options.cpp.

{
return(_drawInfo->style);
}

## fontWeight() [1/2]

void Magick::Options::fontWeight | ( | const size_t | weight_ | ) |

Definition at line 354 of file Options.cpp.

{
_drawInfo->weight=weight_;
setOption("weight",(double) weight_);
}

## fontWeight() [2/2]

size_t Magick::Options::fontWeight | ( | void |  | ) | const

Definition at line 360 of file Options.cpp.

{
return(_drawInfo->weight);
}

## format()

std::string Magick::Options::format | ( | void |  | ) | const

Definition at line 365 of file Options.cpp.

{
const MagickInfo
*magick_info=0;
GetPPException;
if (*_imageInfo->magick != '\0' )
magick_info = GetMagickInfo(_imageInfo->magick,exceptionInfo);
ThrowPPException(_quiet);
if ((magick_info != 0) && (*magick_info->description != '\0'))
return(std::string( magick_info->description));
return(std::string());
}

## imageInfo()

MagickCore::ImageInfo * Magick::Options::imageInfo | ( | void |  | ) |

Definition at line 956 of file Options.cpp.

{
return(_imageInfo);
}

## interlaceType() [1/2]

void Magick::Options::interlaceType | ( | const InterlaceType | interlace_ | ) |

Definition at line 381 of file Options.cpp.

{
_imageInfo->interlace=interlace_;
}

## interlaceType() [2/2]

Magick::InterlaceType Magick::Options::interlaceType | ( | void |  | ) | const

Definition at line 386 of file Options.cpp.

{
return(static_cast<Magick::InterlaceType>(_imageInfo->interlace));
}

## magick() [1/2]

void Magick::Options::magick | ( | const std::string & | magick_ | ) |

Definition at line 391 of file Options.cpp.

{
if (magick_.empty())
{
_imageInfo->magick[0] = '\0';
return;
}
FormatLocaleString(_imageInfo->filename,MagickPathExtent,"%.1024s:",
magick_.c_str());
GetPPException;
SetImageInfo(_imageInfo,1,exceptionInfo);
ThrowPPException(_quiet);
if ( _imageInfo->magick[0] == '\0' )
throwExceptionExplicit(MagickCore::OptionError,"Unrecognized image format",
magick_.c_str());
}

## magick() [2/2]

std::string Magick::Options::magick | ( | void |  | ) | const

Definition at line 409 of file Options.cpp.

{
if ( _imageInfo->magick[0] != '\0' )
return(std::string(_imageInfo->magick));
return(std::string());
}

## matteColor() [1/2]

void Magick::Options::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 78 of file Options.cpp.

{
_imageInfo->matte_color=matteColor_;
}

## matteColor() [2/2]

Magick::Color Magick::Options::matteColor | ( | void |  | ) | const

Definition at line 83 of file Options.cpp.

{
return(Magick::Color(_imageInfo->matte_color));
}

## monochrome() [1/2]

void Magick::Options::monochrome | ( | const bool | monochromeFlag_ | ) |

Definition at line 417 of file Options.cpp.

{
_imageInfo->monochrome=(MagickBooleanType) monochromeFlag_;
}

## monochrome() [2/2]

bool Magick::Options::monochrome | ( | void |  | ) | const

Definition at line 422 of file Options.cpp.

{
return(static_cast<bool>(_imageInfo->monochrome));
}

## page() [1/2]

void Magick::Options::page | ( | const Geometry & | pageSize_ | ) |

Definition at line 427 of file Options.cpp.

{
if (!pageSize_.isValid())
_imageInfo->page=(char *) RelinquishMagickMemory(_imageInfo->page);
else
Magick::CloneString(&_imageInfo->page,pageSize_);
}

## page() [2/2]

Magick::Geometry Magick::Options::page | ( | void |  | ) | const

Definition at line 435 of file Options.cpp.

{
if (_imageInfo->page)
return(Geometry(_imageInfo->page));
return(Geometry());
}

## quality() [1/2]

void Magick::Options::quality | ( | const size_t | quality_ | ) |

Definition at line 443 of file Options.cpp.

{
_imageInfo->quality=quality_;
}

## quality() [2/2]

size_t Magick::Options::quality | ( | void |  | ) | const

Definition at line 448 of file Options.cpp.

{
return(_imageInfo->quality);
}

## quantizeColors() [1/2]

void Magick::Options::quantizeColors | ( | const size_t | colors_ | ) |

Definition at line 453 of file Options.cpp.

{
_quantizeInfo->number_colors=colors_;
}

## quantizeColors() [2/2]

size_t Magick::Options::quantizeColors | ( | void |  | ) | const

Definition at line 458 of file Options.cpp.

{
return(_quantizeInfo->number_colors);
}

## quantizeColorSpace() [1/2]

void Magick::Options::quantizeColorSpace | ( | const ColorspaceType | colorSpace_ | ) |

Definition at line 463 of file Options.cpp.

{
_quantizeInfo->colorspace=colorSpace_;
}

## quantizeColorSpace() [2/2]

Magick::ColorspaceType Magick::Options::quantizeColorSpace | ( | void |  | ) | const

Definition at line 468 of file Options.cpp.

{
return(static_cast<Magick::ColorspaceType>(_quantizeInfo->colorspace));
}

## quantizeDither() [1/3]

void Magick::Options::quantizeDither | ( | const bool | ditherFlag_ | ) |

Definition at line 473 of file Options.cpp.

{
quantizeDither(ditherFlag_ ? RiemersmaDitherMethod : NoDitherMethod);
}

## quantizeDither() [2/3]

void Magick::Options::quantizeDither | ( | const DitherMethod | ditherMethod_ | ) |

Definition at line 483 of file Options.cpp.

{
_imageInfo->dither=(MagickBooleanType) (ditherMethod_ != NoDitherMethod);
_quantizeInfo->dither_method=ditherMethod_;
}

## quantizeDither() [3/3]

bool Magick::Options::quantizeDither | ( | void |  | ) | const

Definition at line 478 of file Options.cpp.

{
return(static_cast<bool>(_imageInfo->dither));
}

## quantizeDitherMethod() [1/2]

void Magick::Options::quantizeDitherMethod | ( | const DitherMethod | ditherMethod_ | ) |

Definition at line 489 of file Options.cpp.

{
_quantizeInfo->dither_method=ditherMethod_;
}

## quantizeDitherMethod() [2/2]

MagickCore::DitherMethod Magick::Options::quantizeDitherMethod | ( | void |  | ) | const

Definition at line 494 of file Options.cpp.

{
return(_quantizeInfo->dither_method);
}

## quantizeInfo()

MagickCore::QuantizeInfo * Magick::Options::quantizeInfo | ( | void |  | ) |

Definition at line 961 of file Options.cpp.

{
return(_quantizeInfo);
}

## quantizeTreeDepth() [1/2]

void Magick::Options::quantizeTreeDepth | ( | const size_t | treeDepth_ | ) |

Definition at line 499 of file Options.cpp.

{
_quantizeInfo->tree_depth=treeDepth_;
}

## quantizeTreeDepth() [2/2]

size_t Magick::Options::quantizeTreeDepth | ( | void |  | ) | const

Definition at line 504 of file Options.cpp.

{
return(_quantizeInfo->tree_depth);
}

## quiet() [1/2]

void Magick::Options::quiet | ( | const bool | quiet_ | ) |

Definition at line 509 of file Options.cpp.

{
_quiet=quiet_;
}

## quiet() [2/2]

bool Magick::Options::quiet | ( | void |  | ) | const

Definition at line 514 of file Options.cpp.

{
return(_quiet);
}

## resolutionUnits() [1/2]

void Magick::Options::resolutionUnits | ( | const ResolutionType | resolutionUnits_ | ) |

Definition at line 519 of file Options.cpp.

{
_imageInfo->units=resolutionUnits_;
}

## resolutionUnits() [2/2]

Magick::ResolutionType Magick::Options::resolutionUnits | ( | void |  | ) | const

Definition at line 524 of file Options.cpp.

{
return(_imageInfo->units);
}

## samplingFactor() [1/2]

void Magick::Options::samplingFactor | ( | const std::string & | samplingFactor_ | ) |

Definition at line 529 of file Options.cpp.

{
if (samplingFactor_.length() == 0)
_imageInfo->sampling_factor=(char *) RelinquishMagickMemory(
_imageInfo->sampling_factor);
else
Magick::CloneString(&_imageInfo->sampling_factor,samplingFactor_);
}

## samplingFactor() [2/2]

std::string Magick::Options::samplingFactor | ( | void |  | ) | const

Definition at line 538 of file Options.cpp.

{
if (_imageInfo->sampling_factor)
return(std::string(_imageInfo->sampling_factor));
return(std::string());
}

## setOption() [1/2]

void Magick::Options::setOption | ( | const char * | name,
|  | const Color & | value_ )

private

Definition at line 979 of file Options.cpp.

{
std::string
option;
option=value_;
(void) SetImageOption(imageInfo(),name,option.c_str());
}

## setOption() [2/2]

void Magick::Options::setOption | ( | const char * | name,
|  | const double | value_ )

private

Definition at line 988 of file Options.cpp.

{
char
option[MagickPathExtent];
(void) FormatLocaleString(option,MagickPathExtent,"%.20g",value_);
(void) SetImageOption(_imageInfo,name,option);
}

## size() [1/2]

void Magick::Options::size | ( | const Geometry & | geometry_ | ) |

Definition at line 546 of file Options.cpp.

{
_imageInfo->size=(char *) RelinquishMagickMemory(_imageInfo->size);
if (geometry_.isValid())
Magick::CloneString(&_imageInfo->size,geometry_);
}

## size() [2/2]

Magick::Geometry Magick::Options::size | ( | void |  | ) | const

Definition at line 554 of file Options.cpp.

{
if (_imageInfo->size)
return(Geometry(_imageInfo->size));
return(Geometry());
}

## strokeAntiAlias() [1/2]

void Magick::Options::strokeAntiAlias | ( | const bool | flag_ | ) |

Definition at line 562 of file Options.cpp.

{
flag_ ? _drawInfo->stroke_antialias=MagickTrue :
_drawInfo->stroke_antialias=MagickFalse;
}

## strokeAntiAlias() [2/2]

bool Magick::Options::strokeAntiAlias | ( | void |  | ) | const

Definition at line 568 of file Options.cpp.

{
return(_drawInfo->stroke_antialias != 0 ? true : false);
}

## strokeColor() [1/2]

void Magick::Options::strokeColor | ( | const Color & | strokeColor_ | ) |

Definition at line 573 of file Options.cpp.

{
_drawInfo->stroke=strokeColor_;
if (strokeColor_ == Color())
strokePattern((const MagickCore::Image*) NULL);
setOption("stroke",strokeColor_);
}

## strokeColor() [2/2]

Magick::Color Magick::Options::strokeColor | ( | void |  | ) | const

Definition at line 581 of file Options.cpp.

{
return(_drawInfo->stroke);
}

## strokeDashArray() [1/2]

void Magick::Options::strokeDashArray | ( | const double * | strokeDashArray_ | ) |

Definition at line 586 of file Options.cpp.

{
_drawInfo->dash_pattern=(double *) RelinquishMagickMemory(
_drawInfo->dash_pattern);
if(strokeDashArray_)
{
size_t
x;
for (x=0; fabs(strokeDashArray_[x]) >= MagickEpsilon; x++) ;
_drawInfo->dash_pattern=static_cast<double*>(AcquireMagickMemory((x+1)*
sizeof(double)));
if (!_drawInfo->dash_pattern)
throwExceptionExplicit(MagickCore::ResourceLimitError,
"Unable to allocate dash-pattern memory");
else
{
(void) memset(_drawInfo->dash_pattern,0,(size_t) (x+1)*sizeof(double));
memcpy(_drawInfo->dash_pattern,strokeDashArray_,x*sizeof(double));
_drawInfo->dash_pattern[x]=0.0;
}
}
}

## strokeDashArray() [2/2]

const double * Magick::Options::strokeDashArray | ( | void |  | ) | const

Definition at line 611 of file Options.cpp.

{
return(_drawInfo->dash_pattern);
}

## strokeDashOffset() [1/2]

void Magick::Options::strokeDashOffset | ( | const double | strokeDashOffset_ | ) |

Definition at line 616 of file Options.cpp.

{
_drawInfo->dash_offset=strokeDashOffset_;
}

## strokeDashOffset() [2/2]

double Magick::Options::strokeDashOffset | ( | void |  | ) | const

Definition at line 621 of file Options.cpp.

{
return(_drawInfo->dash_offset);
}

## strokeLineCap() [1/2]

void Magick::Options::strokeLineCap | ( | const LineCap | lineCap_ | ) |

Definition at line 626 of file Options.cpp.

{
_drawInfo->linecap=lineCap_;
}

## strokeLineCap() [2/2]

Magick::LineCap Magick::Options::strokeLineCap | ( | void |  | ) | const

Definition at line 631 of file Options.cpp.

{
return(_drawInfo->linecap);
}

## strokeLineJoin() [1/2]

void Magick::Options::strokeLineJoin | ( | const LineJoin | lineJoin_ | ) |

Definition at line 636 of file Options.cpp.

{
_drawInfo->linejoin=lineJoin_;
}

## strokeLineJoin() [2/2]

Magick::LineJoin Magick::Options::strokeLineJoin | ( | void |  | ) | const

Definition at line 641 of file Options.cpp.

{
return(_drawInfo->linejoin);
}

## strokeMiterLimit() [1/2]

void Magick::Options::strokeMiterLimit | ( | const size_t | miterLimit_ | ) |

Definition at line 646 of file Options.cpp.

{
_drawInfo->miterlimit=miterLimit_;
}

## strokeMiterLimit() [2/2]

size_t Magick::Options::strokeMiterLimit | ( | void |  | ) | const

Definition at line 651 of file Options.cpp.

{
return(_drawInfo->miterlimit);
}

## strokePattern() [1/2]

void Magick::Options::strokePattern | ( | const MagickCore::Image * | strokePattern_ | ) |

Definition at line 656 of file Options.cpp.

{
if (_drawInfo->stroke_pattern)
_drawInfo->stroke_pattern=DestroyImageList(_drawInfo->stroke_pattern);
if (strokePattern_)
{
GetPPException;
_drawInfo->stroke_pattern=CloneImage(const_cast<MagickCore::Image*>(
strokePattern_),0,0,MagickTrue,exceptionInfo);
ThrowPPException(_quiet);
}
}

## strokePattern() [2/2]

const MagickCore::Image * Magick::Options::strokePattern | ( | void |  | ) | const

Definition at line 670 of file Options.cpp.

{
return(_drawInfo->stroke_pattern);
}

## strokeWidth() [1/2]

void Magick::Options::strokeWidth | ( | const double | strokeWidth_ | ) |

Definition at line 675 of file Options.cpp.

{
_drawInfo->stroke_width=strokeWidth_;
setOption("strokewidth",strokeWidth_);
}

## strokeWidth() [2/2]

double Magick::Options::strokeWidth | ( | void |  | ) | const

Definition at line 681 of file Options.cpp.

{
return(_drawInfo->stroke_width);
}

## subImage() [1/2]

void Magick::Options::subImage | ( | const size_t | subImage_ | ) |

Definition at line 686 of file Options.cpp.

{
_imageInfo->scene=subImage_;
}

## subImage() [2/2]

size_t Magick::Options::subImage | ( | void |  | ) | const

Definition at line 691 of file Options.cpp.

{
return(_imageInfo->scene);
}

## subRange() [1/2]

void Magick::Options::subRange | ( | const size_t | subRange_ | ) |

Definition at line 696 of file Options.cpp.

{
_imageInfo->number_scenes=subRange_;
}

## subRange() [2/2]

size_t Magick::Options::subRange | ( | void |  | ) | const

Definition at line 701 of file Options.cpp.

{
return(_imageInfo->number_scenes);
}

## textAntiAlias() [1/2]

void Magick::Options::textAntiAlias | ( | const bool | flag_ | ) |

Definition at line 706 of file Options.cpp.

{
_drawInfo->text_antialias=static_cast<MagickBooleanType>(
flag_ ? MagickTrue : MagickFalse);
}

## textAntiAlias() [2/2]

bool Magick::Options::textAntiAlias | ( | void |  | ) | const

Definition at line 712 of file Options.cpp.

{
return(static_cast<bool>(_drawInfo->text_antialias));
}

## textDirection() [1/2]

Magick::DirectionType Magick::Options::textDirection | ( |  | ) | const

Definition at line 724 of file Options.cpp.

{
return(_drawInfo->direction);
}

## textDirection() [2/2]

void Magick::Options::textDirection | ( | const DirectionType | direction_ | ) |

Definition at line 717 of file Options.cpp.

{
_drawInfo->direction=direction_;
(void) SetImageOption(_imageInfo,"direction",CommandOptionToMnemonic(
MagickDirectionOptions,(ssize_t) direction_));
}

## textEncoding() [1/2]

void Magick::Options::textEncoding | ( | const std::string & | encoding_ | ) |

Definition at line 729 of file Options.cpp.

{
CloneString(&_drawInfo->encoding,encoding_.c_str());
(void) SetImageOption(imageInfo(),"encoding",encoding_.c_str());
}

## textEncoding() [2/2]

std::string Magick::Options::textEncoding | ( | void |  | ) | const

Definition at line 735 of file Options.cpp.

{
if (_drawInfo->encoding && *_drawInfo->encoding)
return(std::string(_drawInfo->encoding));
return(std::string());
}

## textGravity() [1/2]

Magick::GravityType Magick::Options::textGravity | ( |  | ) | const

Definition at line 750 of file Options.cpp.

{
return(_drawInfo->gravity);
}

## textGravity() [2/2]

void Magick::Options::textGravity | ( | const GravityType | gravity_ | ) |

Definition at line 743 of file Options.cpp.

{
_drawInfo->gravity=gravity_;
(void) SetImageOption(_imageInfo,"gravity",CommandOptionToMnemonic(
MagickGravityOptions,(ssize_t) gravity_));
}

## textInterlineSpacing() [1/2]

void Magick::Options::textInterlineSpacing | ( | const double | spacing_ | ) |

Definition at line 755 of file Options.cpp.

{
_drawInfo->interline_spacing=spacing_;
setOption("interline-spacing",spacing_);
}

## textInterlineSpacing() [2/2]

double Magick::Options::textInterlineSpacing | ( | void |  | ) | const

Definition at line 761 of file Options.cpp.

{
return(_drawInfo->interline_spacing);
}

## textInterwordSpacing() [1/2]

void Magick::Options::textInterwordSpacing | ( | const double | spacing_ | ) |

Definition at line 766 of file Options.cpp.

{
_drawInfo->interword_spacing=spacing_;
setOption("interword-spacing",spacing_);
}

## textInterwordSpacing() [2/2]

double Magick::Options::textInterwordSpacing | ( | void |  | ) | const

Definition at line 772 of file Options.cpp.

{
return(_drawInfo->interword_spacing);
}

## textKerning() [1/2]

void Magick::Options::textKerning | ( | const double | kerning_ | ) |

Definition at line 777 of file Options.cpp.

{
_drawInfo->kerning=kerning_;
setOption("kerning",kerning_);
}

## textKerning() [2/2]

double Magick::Options::textKerning | ( | void |  | ) | const

Definition at line 783 of file Options.cpp.

{
return(_drawInfo->kerning);
}

## textUnderColor() [1/2]

void Magick::Options::textUnderColor | ( | const Color & | underColor_ | ) |

Definition at line 788 of file Options.cpp.

{
_drawInfo->undercolor=undercolor_;
setOption("undercolor",undercolor_);
}

## textUnderColor() [2/2]

Magick::Color Magick::Options::textUnderColor | ( | void |  | ) | const

Definition at line 794 of file Options.cpp.

{
return(_drawInfo->undercolor);
}

## transformOrigin()

void Magick::Options::transformOrigin | ( | const double | tx_,
|  | const double | ty_ )

Definition at line 799 of file Options.cpp.

{
AffineMatrix
affine,
current=_drawInfo->affine;
affine.sx=1.0;
affine.rx=0.0;
affine.ry=0.0;
affine.sy=1.0;
affine.tx=tx_;
affine.ty=ty_;
_drawInfo->affine.sx=current.sx*affine.sx+current.ry*affine.rx;
_drawInfo->affine.rx=current.rx*affine.sx+current.sy*affine.rx;
_drawInfo->affine.ry=current.sx*affine.ry+current.ry*affine.sy;
_drawInfo->affine.sy=current.rx*affine.ry+current.sy*affine.sy;
_drawInfo->affine.tx=current.sx*affine.tx+current.ry*affine.ty+current.tx;
_drawInfo->affine.ty=current.rx*affine.tx+current.sy*affine.ty+current.ty;
}

## transformReset()

void Magick::Options::transformReset | ( | void |  | ) |

Definition at line 820 of file Options.cpp.

{
_drawInfo->affine.sx=1.0;
_drawInfo->affine.rx=0.0;
_drawInfo->affine.ry=0.0;
_drawInfo->affine.sy=1.0;
_drawInfo->affine.tx=0.0;
_drawInfo->affine.ty=0.0;
}

## transformRotation()

void Magick::Options::transformRotation | ( | const double | angle_ | ) |

Definition at line 830 of file Options.cpp.

{
AffineMatrix
affine,
current=_drawInfo->affine;
affine.sx=cos(DegreesToRadians(fmod(angle_,360.0)));
affine.rx=(-sin(DegreesToRadians(fmod(angle_,360.0))));
affine.ry=sin(DegreesToRadians(fmod(angle_,360.0)));
affine.sy=cos(DegreesToRadians(fmod(angle_,360.0)));
affine.tx=0.0;
affine.ty=0.0;
_drawInfo->affine.sx=current.sx*affine.sx+current.ry*affine.rx;
_drawInfo->affine.rx=current.rx*affine.sx+current.sy*affine.rx;
_drawInfo->affine.ry=current.sx*affine.ry+current.ry*affine.sy;
_drawInfo->affine.sy=current.rx*affine.ry+current.sy*affine.sy;
_drawInfo->affine.tx=current.sx*affine.tx+current.ry*affine.ty+current.tx;
_drawInfo->affine.ty=current.rx*affine.tx+current.sy*affine.ty+current.ty;
}

## transformScale()

void Magick::Options::transformScale | ( | const double | sx_,
|  | const double | sy_ )

Definition at line 851 of file Options.cpp.

{
AffineMatrix
affine,
current=_drawInfo->affine;
affine.sx=sx_;
affine.rx=0.0;
affine.ry=0.0;
affine.sy=sy_;
affine.tx=0.0;
affine.ty=0.0;
_drawInfo->affine.sx=current.sx*affine.sx+current.ry*affine.rx;
_drawInfo->affine.rx=current.rx*affine.sx+current.sy*affine.rx;
_drawInfo->affine.ry=current.sx*affine.ry+current.ry*affine.sy;
_drawInfo->affine.sy=current.rx*affine.ry+current.sy*affine.sy;
_drawInfo->affine.tx=current.sx*affine.tx+current.ry*affine.ty+current.tx;
_drawInfo->affine.ty=current.rx*affine.tx+current.sy*affine.ty+current.ty;
}

## transformSkewX()

void Magick::Options::transformSkewX | ( | const double | skewx_ | ) |

Definition at line 872 of file Options.cpp.

{
AffineMatrix
affine,
current=_drawInfo->affine;
affine.sx=1.0;
affine.rx=0.0;
affine.ry=tan(DegreesToRadians(fmod(skewx_,360.0)));
affine.sy=1.0;
affine.tx=0.0;
affine.ty=0.0;
_drawInfo->affine.sx=current.sx*affine.sx+current.ry*affine.rx;
_drawInfo->affine.rx=current.rx*affine.sx+current.sy*affine.rx;
_drawInfo->affine.ry=current.sx*affine.ry+current.ry*affine.sy;
_drawInfo->affine.sy=current.rx*affine.ry+current.sy*affine.sy;
_drawInfo->affine.tx=current.sx*affine.tx+current.ry*affine.ty+current.tx;
_drawInfo->affine.ty=current.rx*affine.tx+current.sy*affine.ty+current.ty;
}

## transformSkewY()

void Magick::Options::transformSkewY | ( | const double | skewy_ | ) |

Definition at line 893 of file Options.cpp.

{
AffineMatrix
affine,
current=_drawInfo->affine;
affine.sx=1.0;
affine.rx=tan(DegreesToRadians(fmod(skewy_,360.0)));
affine.ry=0.0;
affine.sy=1.0;
affine.tx=0.0;
affine.ty=0.0;
_drawInfo->affine.sx=current.sx*affine.sx+current.ry*affine.rx;
_drawInfo->affine.rx=current.rx*affine.sx+current.sy*affine.rx;
_drawInfo->affine.ry=current.sx*affine.ry+current.ry*affine.sy;
_drawInfo->affine.sy=current.rx*affine.ry+current.sy*affine.sy;
_drawInfo->affine.tx=current.sx*affine.tx+current.ry*affine.ty+current.tx;
_drawInfo->affine.ty=current.rx*affine.tx+current.sy*affine.ty+current.ty;
}

## type() [1/2]

void Magick::Options::type | ( | const ImageType | type_ | ) |

Definition at line 914 of file Options.cpp.

{
_imageInfo->type=type_;
}

## type() [2/2]

Magick::ImageType Magick::Options::type | ( | void |  | ) | const

Definition at line 919 of file Options.cpp.

{
return(_imageInfo->type);
}

## verbose() [1/2]

void Magick::Options::verbose | ( | const bool | verboseFlag_ | ) |

Definition at line 924 of file Options.cpp.

{
_imageInfo->verbose=(MagickBooleanType) verboseFlag_;
}

## verbose() [2/2]

bool Magick::Options::verbose | ( | void |  | ) | const

Definition at line 929 of file Options.cpp.

{
return(static_cast<bool>(_imageInfo->verbose));
}

## x11Display() [1/2]

void Magick::Options::x11Display | ( | const std::string & | display_ | ) |

Definition at line 934 of file Options.cpp.

{
if (display_.length() == 0)
_imageInfo->server_name=(char *) RelinquishMagickMemory(
_imageInfo->server_name);
else
Magick::CloneString(&_imageInfo->server_name,display_);
}

## x11Display() [2/2]

std::string Magick::Options::x11Display | ( | void |  | ) | const

Definition at line 943 of file Options.cpp.

{
if (_imageInfo->server_name)
return(std::string( _imageInfo->server_name));
return(std::string());
}

## Field Documentation

## _drawInfo

MagickCore::DrawInfo* Magick::Options::_drawInfo

private

Definition at line 340 of file Options.h.

## _imageInfo

MagickCore::ImageInfo* Magick::Options::_imageInfo

private

Definition at line 338 of file Options.h.

## _quantizeInfo

MagickCore::QuantizeInfo* Magick::Options::_quantizeInfo

private

Definition at line 339 of file Options.h.

## _quiet

bool Magick::Options::_quiet

private

Definition at line 341 of file Options.h.

The documentation for this class was generated from the following files:

- Options.h
- Options.cpp